Bug 1134335 - hrSystemProcesses is missing (net-snmp-5.5-49.el6_5.2)
Summary: hrSystemProcesses is missing (net-snmp-5.5-49.el6_5.2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.5
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
: 1139485 (view as bug list)
Depends On:
Blocks: 1146022 1146114
TreeView+ depends on / blocked
 
Reported: 2014-08-27 10:22 UTC by GV
Modified: 2018-12-09 18:27 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the previous net-snmp update, parts of the HOST-RESOURCES-MIB module were rewritten. Consequently, the HOST-RESOURCES-MIB::hrSystemProcesses object was not implemented and therefore did not provide information on the number of currently loaded or running processes. With this update, HOST-RESOURCES-MIB::hrSystemProcesses object has been restored and net-snmp daemon reports it as expected.
Clone Of:
: 1146022 1146114 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:22:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1385 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2015-07-20 18:07:39 UTC

Description GV 2014-08-27 10:22:45 UTC
Description of problem:
After upgrading to net-snmp-5.5-49.el6_5.2, hrSystemProcesses is no longer available:

# snmpwalk -c public -v 2c 127.0.0.1 | grep hrSystemProcesses
HOST-RESOURCES-MIB::hrSWRunParameters.30137 = STRING: "--color=auto hrSystemProcesses"

# snmpwalk -c public -v 2c -On 127.0.0.1 | grep ".1.3.6.1.2.1.25.1.6."
.1.3.6.1.2.1.25.4.2.1.5.30247 = STRING: "--color=auto .1.3.6.1.2.1.25.1.6."

Version-Release number of selected component (if applicable):
net-snmp-5.5-49.el6_5.2.x86_64
net-snmp-utils-5.5-49.el6_5.2.x86_64
net-snmp-libs-5.5-49.el6_5.2.x86_64

Comment 2 Jan Safranek 2014-08-27 12:10:09 UTC
Thanks for the bug report. hrSystemProcesses has slipped through cracks in our process.

Upstream patch: 680011dcaf92ac67f6a1e77826b83a382d415a42

Comment 3 Jan Safranek 2014-08-27 12:11:00 UTC
Sigh, upstream patch: https://sourceforge.net/p/net-snmp/code/ci/7ce46bd526e340ddf328d68fa6de1b6f204b8294/

Comment 4 GV 2014-08-27 16:59:02 UTC
Commit 680011dcaf92ac67f6a1e77826b83a382d415a42 fix the problem with hrSystemProcesses. Thank you.

Comment 5 Peter Bieringer 2014-08-29 14:58:58 UTC
Hit by this bug, too, when can be expected to get an updated version? This issue causes huge problems in process monitoring via Nagios and we had to downgrade.

Comment 6 Jan Safranek 2014-09-01 07:31:19 UTC
Note that Bugzilla is not a support tool. Please contact your Red Hat support at access.redhat.com to get the service you pay for.

[In other words: please open a ticket there. Complaining in Bugzilla and/or raising bug priority won't speed things up in any way.]

Comment 7 Peter Bieringer 2014-09-02 08:13:16 UTC
Ticket 01183465 created

Comment 14 Jan Safranek 2014-09-23 07:04:05 UTC
*** Bug 1139485 has been marked as a duplicate of this bug. ***

Comment 21 GV 2014-09-24 05:48:00 UTC
To mmatsuya@redhat.com:

Exactly WHY did you make this bug private? Is this kind of joke or something? rhel is not going to be more secure if you HIDE bugs. On the other hand, testing will. But seeing a lot of crappy updates lately and rhel7 (gnome,systemd/etc.) seems like testing is not one of redhat priorities.

Please remove the private flag. If not, fell free to remove Reporter and CC List flags for me. I don't f*** care.

Comment 22 Karel Srot 2014-09-24 06:02:31 UTC
I also fail to see how making the bug private helps in addressing the issue. 
Please, use private comments in case you need to attach a private message.

Comment 23 Masahiro Matsuya 2014-09-24 07:24:41 UTC
Hello Gabriel,

I'm very sorry I didn't check that the reporter is an external user.
In that case, I should not have changed the flag. 

Masahiro

Comment 29 errata-xmlrpc 2015-07-22 07:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1385.html


Note You need to log in before you can comment on or make changes to this bug.